OPENPAM_SET_OPTION(3)

NAME
openpam_set_option - sets the value of a module option

LIBRARY
libpam

SYNOPSIS
#include <sys/types.h>
#include <security/pam_appl.h>
#include <security/openpam.h>
int
openpam_set_option(pam_handle_t *pamh, const char *option, const char *value);

DESCRIPTION
The openpam_set_option function sets the specified option in the context of the currently executing service module.

RETURN VALUES
The openpam_set_option function returns one of the following values:

[PAM_BUF_ERR]
    Memory buffer error.

[PAM_SYSTEM_ERR]
    System error.

SEE ALSO
openpam_get_option(3), pam(3), pam_strerror(3)

STANDARDS
The openpam_set_option function is an OpenPAM extension.

AUTHORS
The openpam_set_option function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc.& under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.